<?php
	session_start();
	include('database.php');
	DB_connexion(); 
	
	/*if(!isset($_SESSION['logged']) )
	{		header ('Location: interdiction.php');
	}
	
	if($_SESSION['logged']== "no")
	{
		header ('Location: interdiction.php');
	}*/

	if(!empty($_POST) )
	{
		$_SESSION['sauvegarde_formulaire'] = $_POST ;
		$page_actuelle = $_SERVER['PHP_SELF'] ;
		if(!empty($_SERVER['QUERY_STRING']))
		{
			$page_actuelle .= '?' . $_SERVER['QUERY_STRING'] ;
		}
     
		header('Location: ' . $page_actuelle);
		exit;
	}

	if(isset($_SESSION['sauvegarde_formulaire']))
	{
				$_POST = $_SESSION['sauvegarde_formulaire'] ;
				unset($_SESSION['sauvegarde_formulaire']);
	}	
	
	/*$champ_login = "";
	$champ_nom = "";
	$champ_prenom = "";
	$champ_email = "";*/
	
	// chargement des datas	
/*	$login = $_SESSION['login']; 
	$sql = "SELECT * FROM membres WHERE login = '".$login."' ";
 	$requete = mysql_query($sql);
	$result = mysql_fetch_assoc($requete);
		
	$champ_login = $result['login'];
	$champ_nom = $result['nom'];
	$champ_prenom = $result['prenom'];
	$champ_email = $result['email'];
	$champ_avatar = $result['avatar'];
	
	if(!empty($_POST["login"]))
	{	$champ_login = $_POST["login"];
	}
	if(!empty($_POST["nom"]))
	{	$champ_nom = $_POST["nom"];
	}
	if(!empty($_POST["prenom"]))
	{	$champ_prenom = $_POST["prenom"];
	}
	if(!empty($_POST["email"]))
	{	$champ_email = $_POST["email"];
	}
	*/
	
	if( isset($_POST['editor']) && !empty($_POST['editor']) ) 
	{
		//echo $_POST['editor'];
		
		$tmp = $_POST['editor'];

		$id = 33;
		$_SESSION['user_id'] = $îd ;
		
		$sql = "UPDATE membres SET signature  = '$tmp' WHERE id = '$id' " ;
		$requete = mysql_query($sql);
				
		// stocke en base de donnees en MEDIUM TEXT MEDIUMTEXT
		//puis, pour l'affichage, j'utilise nl2br() :
 
		//echo nl2br($texte);  				
				
		//htmlentities ou htmlspecialchars		
				
		//echo $sql;	
		//$result = mysql_query($sql);
		
	}
	
	$id = 33;
	
	$sql = "SELECT signature FROM membres WHERE id =  '".$id."' ";
	$result = mysql_query($sql);
	$data = mysql_fetch_assoc($result);
	
	$affichage = $data['signature'];
	
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="Description" content="Site perso,cours,ouvrages" />
<meta name="Keywords" content="WEBSITE perso " />
<meta name="Distribution" content="Global" />
<meta name="Robots" content="" />
<meta http-equiv="Content-Language" content="fr" />
<meta name="rating" content="general" />
<meta name="author" content="Patrice DELPY" />
<meta name="copyright" content="Copyright 2013" />
<meta name="generator" content="Patoche" />
<title>Patoche WEBSITE - 2013 - Template du site - en cours de développemment ...</title>
<!---------------------------------------------------------->	
<?php
		include('include_css_template_commun.php');
		include('include_css.php');
		include('css_tools_skill.php');
		include('include_javascript.php');

?> 

<style type="text/css">

#bloc_password{ display: inline;
			float: left;
			width: 932px;
		    height: 400px;
			/*background: #f8dbdb;*/
}

#bloc_menu_password{ 
				float: left;
				width: 320px;
				/*height: 350px;*/
				margin: 0px 0 0 0px;
				/*background: #38dbdb;*/
}

#bloc_change_signature{ 
				float: left;
				width: 400px;
				/*height: 350px;*/
				margin: 0px 0px 0px 60px;
				/*background: #18dbdb;*/
}



	
</style>

<!-- diaporama -->
<link href="diaporama/css/style.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="diaporama/js/jquery.jDiaporama.js"></script>
<script type="text/javascript" src="diaporama/js/script.js"></script>

<script type="text/javascript">
function call_update()
{
	 ajax_routine(); 
	 setTimeout("call_update()", 1000); //appelle la fonction 1 fois par  seconde
}
</script>

<!---------------------------------------------------------->	
</head>

<body>
<!---------------------------------------------------------->	
	<div class="main"> <!-- main -->
<!---------------------------------------------------------->	

          <div class="header">
                <div class="balise_titre">Patoche</div>
                <div class="balise_citation">
                &quot;Etre conscient que l'on est ignorant est un grand pas vers le savoir&quot;
                </div>
          </div> 
 
          <div class="banniere"></div>  

<!---------------------------------------------------------->
<?php
/*	include("include_barre_login.php");
	echo '<div id="box_icon">';
	include("debug_connexion_membre.php");
	echo '</div>';
	include("include_menu.php");*/
	
	echo '<div id="box_infos">';
			include("include_menu.php");
			
			echo '<div id="box_icon2">';
			include("connexion_membre.php");
			echo	'</div>';
			
			echo '<div id="box_icon3">';
			include("include_barre_login.php");
			echo	'</div>';

	echo	'</div>';
	$_SESSION['page_active'] = basename (__FILE__ );
?>
	

<!---------------------------------------------------------->	
            <div class="contenu"> <!-- contenu -->
<!---------------------------------------------------------->	
			
				<h2 class="retrait">Editer mes données personnelles </h2>
				
				
				<div id= "bloc_password">
				
							<div id= "bloc_menu_password">
									<div id="bloc_menu">
									<div id="leftcolumn">
									<div class="titlebar" style="margin-top: 12px">Menu</div>
									<ul class="ddmarkermenu">
									<li class="acceuil_tag"><a href="compte.php" title="aller à la section">Acceuil</a></li>
									<li class="information_tag"><a href="information.php" title="aller à la section">Informations</a></li>
									<li class="password_tag"><a href="password.php" title="aller à la section"> Mot de passe</a></li>
									<li class="avatar_tag"><a href="avatar.php" title="aller à la section">Avatar</a></li>
									<li class="signature_tag_selected"><a href="signature.php" title="aller à la section">Signature</a></li>

									</ul>
									</div>
									</div>
							</div>	
			
				</div>	
				
				<div id= "bloc_change_signature">
							<form action="signature.php" method="post">
							<p class="tag_align"> 
							<textarea class="ckeditor" cols="50" id="editor" name="editor" rows="20">
							<?php echo $affichage ?>
							</textarea>
							</p>
							<p class="tag_align">
							<input type="submit" value="Poster">
							</p>
							</form> 
				</div>		
	
	<br/>
	<br/>
           

<!---------------------------------------------------------->	
<?php			
            include('include_pied_page.php');
			include('include_publicite.php');
?>
<!---------------------------------------------------------->	
			</div>  <!-- contenu -->
<!---------------------------------------------------------->	
	</div>   <!-- main -->
<!---------------------------------------------------------->	

	<script type="text/javascript">
		call_update()
	</script>

</body>
</html>
